Ubuntu

Cannot use Web Cam Microphone

Reported by Sam Colegrove on 2011-04-28
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

Details of forum correspondence on this issue can be found at http://kubuntuforums.net/forums/index.php?topic=3116473.0. This problem relates to Kubuntu 11.04 when using Skype. The Web cam microphone is identified by System Settings > Multimedia > Phonon. When the Web cam microphone is set to preferred, it does not stay there after relaunching System Settings nor does the web cam microphone work with Skype. More details on what has been tried to resolve this problem is given in the forum correspondence.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: aurora 1480 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'V8237'/'VIA 8237 with ALC655 at 0xc000, irq 22'
   Mixer name : 'Realtek ALC655 rev 0'
   Components : 'AC97a:414c4760'
   Controls : 48
   Simple ctrls : 29
Card1.Amixer.info:
 Card hw:1 'UART'/'MPU-401 UART at 0x300, irq 5'
   Mixer name : ''
   Components : ''
   Controls : 0
   Simple ctrls : 0
Card1.Amixer.values:

DistroRelease: Ubuntu 11.04
InstallationMedia: Kubuntu 11.04 "Natty Narwhal" - Release i386 (20110426)
NonfreeKernelModules: nvidia
Package: pulseaudio 1:0.9.22+stable-queue-24-g67d18-0ubuntu3
PackageArchitecture: i386
ProcEnviron:
 LANGUAGE=en_AU:en
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Tags: natty
Uname: Linux 2.6.38-8-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 09/24/2003
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F4
dmi.board.name: GA-7VT600 1394
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF4:bd09/24/2003:svn:pn:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-7VT6001394:rvr:cvn:ct3:cvr:

Sam Colegrove (colegrove479) wrote :

This problem did not occur with Skype on Kubuntu 10.10. It was because Skype worked with 10.10 that I deleted my M$ Windows partition as that was the only reason I kept M$ Windows.

I was testing Kubuntu 11.04 on a 32B computer to determine if I would use it on my main computer. Until this problem is fixed I have no intention of upgrading from 10.10 as Skype is a critical application for communication with family overseas.

Sly (netrefuge) wrote :

This problem also effects my system.

Internal speakers refuse to work.
Microphone doesn't show any input, although it was working when I installed Natty (indicating that it was an update that caused this error).

I'm going to go ahead and confirm this, because I know something is wrong with this, and I'm not seeing any duplicates that match this. However, someone may find a bug that better fits as a duplicate to move this to.

Until then, to be on the safe side, run "apport-collect 772276" in a terminal to collect debugging information for the developers to diagnose any problems related to this bug report.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
Sly (netrefuge) wrote :

Oh, and also add the system model that you are running 11.04 on.

Speaking of which, I forgot to add the same details into my comment: Dell Inspiron 1546

Sly (netrefuge) on 2011-04-28
tags: added: 11.04 natty pulseaudio

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

David Henningsson (diwic) wrote :

@Sam, hi, is this webcam mic integrated with the AC'97 sound card, or is it a separate card? Is it perhaps an USB webcam? Perhaps if you could log into where this is working and post an alsa-info from there ( see wiki.ubuntu.com/Audio/AlsaInfo ) that would shed some light on this issue.

@Sly, your symptoms are different so please file a separate bug using the "ubuntu-bug audio" command. Thanks!

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
Sly (netrefuge) wrote :

@David: I know that it is a different system, but I'm waiting to see if any of these bug reports on audio are going to resolve my issue, so I don't have to post another bug for it. Which is why I wanted to go ahead and confirm this one, since I am frequently running into people having trouble with their audio. My talking about my problem was just confirmation that they aren't the only ones having a problem with things like this. I've ran into this problem on my system, and so has *MANY* other people. I still haven't seen a solution for it, or seen any bug reports that get handled with any importance. Bugs that I see like this get pushed to the "Low" category, when it should be medium or high since this does effect the mobility of the operating system as a whole.

Also, David, if you would have looked in PciMultimedia.txt, you can see:
 Subsystem: Giga-byte Technology GA-7VAX Onboard Audio (Realtek ALC650) [1458:a002]

Although my system may be different in model, I am still using a Realtek sound card.

@Sam: Thanks for running apport-collect like I asked. Someone should help you with your bug soon.

Hi David,
         I must apologise for not having my webcam plugged in when I
provided the information. My webcam is a Logiteech Vision Pro for Mac.
It is usb connected and has inbuilt drivers for the camera and the
microphone. I followed your instructions and the alsa file is attached.
         In the end, I decided to install Kubuntu 11.04 on my Laptop and
I experienced exactly the same problem. In this case, it is convenient
to disable the onboard sound as I can revert to a usb connected speaker
with the webcam. I will be going overseas on the 6th May and will be
taking a Netbook computer. From what I experienced on it, the same
sound problem exist with that as well. Thus in all cases when I want to
use Skype with the webcam microphone, I have to disable the onboard sound.
         I have found that when I use Audacity with the onboard sound
working, I can use the webcam microphone for recording and then playback
through the speakers connected to the sound card.

I hope this problem is easy to fix

Sam

On 29/04/11 17:33, David Henningsson wrote:
> see
> wiki.ubuntu.com/Audio/AlsaInfo

David Henningsson (diwic) wrote :

@Sam, ok. I'm not that familiar with the KDE mixer application, so could you try this:
1) Install the "pavucontrol" application
2) Start skype and try to record from the webcam
3) Start pavucontrol (while skype is running), go to the "recording" tab and make sure skype is recording from your USB webcam and nothing else.

If this does not help, could you please provide a PulseAudio log according to http://wiki.ubuntu.com/PulseAudio/Log, then redo step 2) and 3) with the log running? Thanks!

Sam Colegrove (colegrove479) wrote :

Hi,
         I already had pavucontrol installed and had previously tried
various options to no avail before filing the bug report. When I did 2)
and 3) my voice was not recorded and played back by Skype. With
pavucontrol running, the recording tab had: /Skype: Input from
Internal Audio Analog Stereo/. I even changed the "input devices" so
that the Internal Audio Analog Stereo was muted and the QuickCam was
un-muted. Still the same result, ie no recording with the webcam mike.
         The pulse audio log is attached and I hope it helps locate the
problem. I am not sure if anyone else has commented on clicking sounds
when using Kaffeine or Firefox with multimedia output. At the moment
the bug with Skype is the main one that I am concerned about.

Wishing you all the Best with locating the problem

Sam

On 02/05/11 16:37, David Henningsson wrote:
> @Sam, ok. I'm not that familiar with the KDE mixer application, so could you try this:
> 1) Install the "pavucontrol" application
> 2) Start skype and try to record from the webcam
> 3) Start pavucontrol (while skype is running), go to the "recording" tab and make sure skype is recording from your USB webcam and nothing else.
>
> If this does not help, could you please provide a PulseAudio log
> according to http://wiki.ubuntu.com/PulseAudio/Log, then redo step 2)
> and 3) with the log running? Thanks!
>

David Henningsson (diwic) wrote :

> With pavucontrol running, the recording tab had: /Skype: Input from Internal Audio Analog Stereo/

You should change that to "Skype: Input from QuickCam Vision Pro Analog Mono" if you wish to record from your USB webcam.

Sam Colegrove (colegrove479) wrote :

Dear David,
         Yes that did work - thanks for your help. I realize that you
are not familiar with KDE but I have noticed of late on the Kubuntu
forum that there were a number of people moving to it from Ubuntu.
         Now regarding pulse audio. I had thought that one of its main
attributes was with its flexibility to handle different input and
output devices. I had found previously with Kubuntu 10.10, that if I
put my Logitech Laptop speakers and WebCam at the top of the list under
KDE's System Settings > Mutimedia > Phonon, when either or both were
disconnected it would fall back to the next on the list and use it.
Reconnecting the devices would automatically use them again. A very
pleasing flexibility.
         What you are suggesting as a solution is by comparison a
primitive desktop interface and this should be fixed in the interests of
usability. I certainly hope that something is done soon to make pulse
audio in 11.04 work in the same way as it did in 10.10. I am not
impressed when a new release results in one step forward and two steps
backward.

On 03/05/11 21:16, David Henningsson wrote:
>> With pavucontrol running, the recording tab had: /Skype: Input from
> Internal Audio Analog Stereo/
>
> You should change that to "Skype: Input from QuickCam Vision Pro Analog
> Mono" if you wish to record from your USB webcam.
>

Launchpad Janitor (janitor) wrote :

[Expired for pulseaudio (Ubuntu) because there has been no activity for 60 days.]

Changed in pulseaudio (Ubuntu):
status: Incomplete → Expired

The only solution to make microphone work is to install linux-backports-modules-alsa-generic...

Just go to:

Menu / System / Administration / Synaptic Package Manager

And search and mark for installation:

linux-backports-modules-alsa-generic

tip: if you have multiple versions click on the first and read the description which should inform what name to install...

If after the reboot and mic mute is off, still does not work, just go to terminal and type:

sudo nano /etc/modprobe.d/alsa-base.conf

and add or change the following:

options snd-hda-intel model=auto enable=yes

Then Ctrl+X, type Y to write and exit, reboot and mic will work.

Bye and have lots of fun with Ubuntu (the best).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers